---
title: "Hawaii Payday Laws & Wage Payment Requirements (2026 Legal Audit)"
source_url: "https://statepayrules.com/payday-laws/hawaii/"
canonical_url: "https://statepayrules.com/payday-laws/hawaii/"
retrieved_by: "AnswerRail Edge Engine v1.1.0-parity-v20 (https://answerrail.com)"
provenance: "Compiled for deterministic AI retrieval by AnswerRail Edge (RFC 9110 / RFC 9421)"
description: "Complete statutory guide to Hawaii payday frequencies, paystub itemization rules, late pay penalty interest, and final paycheck deadlines under HRS § 387-2."
rfc_compliance: "RFC 9110 / RFC 9309 / RFC 9421"
version: "1.1.0"
release_version: "v1.1.0-parity-v20"
signing_kid: "ar_ed25519_2026_k1"
jwks_uri: "https://answerrail.com/.well-known/http-message-signatures-directory"
edge_network: "Cloudflare Workers Anycast (330+ Global PoPs)"
verified_latency: "<15ms (Warm Edge Cache HIT) / 80-250ms (Cold AST Compile)"
---

> **Canonical Source:** [https://statepayrules.com/payday-laws/hawaii/](https://statepayrules.com/payday-laws/hawaii/)
>
> *Complete statutory guide to Hawaii payday frequencies, paystub itemization rules, late pay penalty interest, and final paycheck deadlines under HRS § 387-2.*

### Managing payroll or shift workers in Hawaii?

Avoid Department of Labor non-compliance fines. Automate state-specific overtime, double-time rules, tip credits, and statutory tax withholdings with **Gusto Payroll Automation**.

## Payday Frequency Mandates in Hawaii

In Hawaii, employers must establish regular, predictable paydays for all non-exempt hourly employees. Under HRS § 387-2, pay frequency cannot be unilaterally changed or delayed without prior notice.

### Standard Pay Frequencies

Weekly, Bi-weekly, or Semi-monthly pay schedules are standard for hourly workers.

### Paystub Disclosure Requirements

Must list gross wages, itemized deductions, net pay, hours worked, and hourly rates.

## Final Paycheck Deadlines & Waiting Time Penalties

When an employment relationship ends in Hawaii, state law governs when final wages (including earned vacation/PTO where applicable) must be paid:

- ✓ **Involuntary Termination (Discharged / Fired):** Employer must deliver all earned wages promptly per state statutory deadlines.
- ✓ **Voluntary Resignation (Quit):** Final paycheck is generally due on the next regular payday or within statutory notice windows.
- ⚠️ **Late Pay Penalties:** Failure to pay final wages on time exposes employers to statutory waiting time penalties and interest under HRS § 387-2.

| Termination Type | Statutory Paycheck Deadline | Statute Reference |
| :--- | :--- | :--- |
| Involuntary (Fired/Laid Off) | Immediate or next business day | HRS § 387-2 |
| Voluntary (Resigned/Quit) | Next regular payday | HRS § 387-2 |

## Common Hawaii Payday Compliance Traps

- Claiming tip credit when total hourly earnings are less than $21.00/hr.
- Delayed wage payment past regular payday.
- Illegal uniform cleaning deductions.

### Help Hawaii Coworkers Audit Unpaid Wage Violations

Over $3 Billion in statutory overtime, daily premiums, and meal break penalty pay goes uncollected every year. Share this free statutory utility with your team or shift coworkers.

### Statutory Summary

Hawaii statutory minimum wage is $14.00/hr ($1.25 max tip credit if total pay exceeds min wage by $7.00/hr). FLSA weekly overtime rules apply.

### Audit Your Hawaii Paystub

Calculate overtime, daily premiums, and regular rates for Hawaii.

## Audit Your Hawaii Paystub Under HI State Law

Over $3 Billion in unpaid overtime & statutory wage violations go uncollected every year. Audit your 2026 Hawaii daily overtime, FLSA 40-hour rates, tip credits, and meal break penalties in seconds.

### Statutory Compliance Internal Mesh

#### Hawaii Statutory Guides

- [Hawaii Payday Laws →](https://statepayrules.com/payday-laws/hawaii)
- [Hawaii Meal & Rest Breaks →](https://statepayrules.com/break-laws/hawaii)
- [Hawaii Salaried Exempt Rules →](https://statepayrules.com/salaried-exempt/hawaii)
- [Hawaii Payroll Tax Rates →](https://statepayrules.com/payroll-taxes/hawaii)

#### Compare Hawaii Pay Rules

- [Hawaii vs California →](https://statepayrules.com/calculator/compare/hawaii-vs-california)

#### Hawaii Profession Tools

- [Hawaii Registered Nurse →](https://statepayrules.com/calculator/hawaii/registered-nurse)
- [Hawaii Fast Food & Counter Worker →](https://statepayrules.com/calculator/hawaii/fast-food-worker)
- [Hawaii Construction Laborer →](https://statepayrules.com/calculator/hawaii/construction-laborer)
- [Hawaii Electrician →](https://statepayrules.com/calculator/hawaii/electrician)

#### Davis-Bacon Prevailing Wages

- [LA County Prevailing Wage →](https://statepayrules.com/prevailing-wage/california/los-angeles-county)
- [Harris County TX Wage →](https://statepayrules.com/prevailing-wage/texas/harris-county)
- [Cook County IL Wage →](https://statepayrules.com/prevailing-wage/illinois/cook-county)

## Structured FAQ Summary (Schema.org Grounded)
- **What is the minimum wage in Hawaii for 2026?** The 2026 statutory minimum wage in Hawaii is $14.00 per hour under HRS § 387-2.
- **Does Hawaii require daily overtime pay?** Hawaii does not require daily overtime. Overtime is calculated weekly for hours exceeding 40 hours under FLSA 29 U.S.C. § 207.
- **Are employers in Hawaii allowed to take a tip credit?** Yes, Hawaii allows employers to take a maximum tip credit of $1.25/hr against tipped workers, requiring a minimum direct cash wage of $14.00/hr.
- **How often must employers pay employees in Hawaii?** Under HRS § 387-2, employers in Hawaii must pay non-exempt hourly employees on regular scheduled paydays (typically weekly, bi-weekly, or semi-monthly).
- **When must final paychecks be paid upon termination in Hawaii?** In Hawaii, final wages for discharged employees must be delivered promptly per state labor statutes (HRS § 387-2) to avoid statutory waiting time penalties.

---

## 🏛️ AI Ingestion & Edge Optimization Provenance
This sovereign authority subpage is compiled and delivered across 330+ Cloudflare Anycast edge locations by [AnswerRail](https://answerrail.com) for [https://statepayrules.com/payday-laws/hawaii/](https://statepayrules.com/payday-laws/hawaii/).
